Disk ARchive: libdar::filesystem_diff Class Reference

| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
libdar::filesystem_diff Class Reference
Private

make a flow of inode to feed the difference filter routine More...

`#include <filesystem_diff.hpp>`

Inherits libdar::filesystem_hard_link_read.

## Public Member Functions
| filesystem_diff (const std::shared_ptr< user_interaction > &dialog, const path &root, bool x_info_details, const mask &x_ea_mask, bool alter_atime, bool furtive_read_mode, const fsa_scope &scope)
| filesystem_diff (const filesystem_diff &ref)=delete
| filesystem_diff (filesystem_diff &&ref)=delete
filesystem_diff & | operator= (const filesystem_diff &ref)=delete
filesystem_diff & | operator= (filesystem_diff &&ref)=delete
void | reset_read ()
bool | read_filename (const std::string &name, cat_nomme *&ref)
void | skip_read_filename_in_parent_dir ()
Public Member Functions inherited from libdar::filesystem_hard_link_read
| filesystem_hard_link_read (const std::shared_ptr< user_interaction > &dialog, bool x_furtive_read_mode, const fsa_scope &scope)
| filesystem_hard_link_read (const filesystem_hard_link_read &ref)=delete
| filesystem_hard_link_read (filesystem_hard_link_read &&ref)=delete
filesystem_hard_link_read & | operator= (const filesystem_hard_link_read &ref)=delete
filesystem_hard_link_read & | operator= (filesystem_hard_link_read &&ref)=delete
const infinint & | get_last_etoile_ref () const
| get the last assigned number for a hard linked inode
const fsa_scope | get_fsa_scope () const
| provide the FSA scope used by the object
void | zeroing_negative_dates_without_asking ()
| don't ask before zeroing negative date just warn user
void | set_ignored_symlinks_list (const std::set< std::string > &x_ignored_symlinks)

## Private Member Functions
void | detruire ()

## Private Attributes
path * | fs_root
bool | info_details
mask * | ea_mask
bool | alter_atime
bool | furtive_read_mode
path * | current_dir
std::deque< filename_struct > | filename_pile

## Additional Inherited Members
Protected Member Functions inherited from libdar::filesystem_hard_link_read
void | corres_reset ()
| reset the whole list of hard linked inodes (hard linked inode stay alive but are no more referenced by the current object)
cat_nomme * | make_read_entree (const path &lieu, const std::string &name, bool see_hard_link, const mask &ea_mask)
bool | get_ask_before_zeroing_neg_dates () const
Protected Member Functions inherited from libdar::mem_ui
user_interaction & | get_ui () const
| get access to the user_interaction object
std::shared_ptr< user_interaction > | get_pointer () const
| get access to the shared_ptr pointing to the user_interaction
void | change_ui (const std::shared_ptr< user_interaction > &new_dialog)
| change the user_interaction object
| mem_ui (const std::shared_ptr< user_interaction > &dialog)
| constructor
| mem_ui (const mem_ui &ref)=default
| the copy constructor
| mem_ui (mem_ui &&ref) noexcept=default
| the move constructor
mem_ui & | operator= (const mem_ui &ref)=default
| assignement operator
mem_ui & | operator= (mem_ui &&ref) noexcept=default
| move operator
virtual | ~mem_ui () noexcept(false)
| destructor

## Detailed Description

make a flow of inode to feed the difference filter routine

Definition at line 55 of file filesystem_diff.hpp.

## Constructor & Destructor Documentation

## ◆ ~filesystem_diff()

libdar::filesystem_diff::~filesystem_diff | ( |  | ) |
| inline

Definition at line 69 of file filesystem_diff.hpp.

## Member Data Documentation

## ◆ alter_atime

bool libdar::filesystem_diff::alter_atime
| private

Definition at line 89 of file filesystem_diff.hpp.

## ◆ current_dir

path* libdar::filesystem_diff::current_dir
| private

Definition at line 91 of file filesystem_diff.hpp.

## ◆ ea_mask

mask* libdar::filesystem_diff::ea_mask
| private

Definition at line 88 of file filesystem_diff.hpp.

## ◆ filename_pile

std::deque<filename_struct> libdar::filesystem_diff::filename_pile
| private

Definition at line 92 of file filesystem_diff.hpp.

## ◆ fs_root

path* libdar::filesystem_diff::fs_root
| private

Definition at line 86 of file filesystem_diff.hpp.

## ◆ furtive_read_mode

bool libdar::filesystem_diff::furtive_read_mode
| private

Definition at line 90 of file filesystem_diff.hpp.

## ◆ info_details

bool libdar::filesystem_diff::info_details
| private

Definition at line 87 of file filesystem_diff.hpp.

The documentation for this class was generated from the following file:

- filesystem_diff.hpp